package webui

import (
    _ "embed"
	"fmt"
	"net/http"
)

//go:embed assets/index.htm
var indexHtml string

// Serves the app shell. Contents are managed via APIs and JS.
func serveAppShell(w http.ResponseWriter, r *http.Request) {
	setHeadersForHtml(w)
	fmt.Fprint(w, indexHtml)
}
